# Class CIM_HostedDependency
extends CIM_Dependency

HostedDependency defines a ManagedElement in the context of another ManagedElement in which it resides.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency

## Direct Known Subclasses

CIM_ConfigurationForSystem
CIM_DatabaseControlFile
CIM_HostedAccessPoint
CIM_HostedACI
CIM_HostedAdminDistance
CIM_HostedAuthenticationRequirement
CIM_HostedBGPAttributes
CIM_HostedBGPPeerGroup
CIM_HostedBGPRouteMap
CIM_HostedCollection
CIM_HostedFilterEntryBase
CIM_HostedFilterList
CIM_HostedJobDestination
CIM_HostedNetworkPipe
CIM_HostedRoute
CIM_HostedRoutingPolicy
CIM_HostedService
CIM_HostingCS
CIM_J2eeApplicationHostedOnServer
CIM_J2eeConnectionFactoryAvailableToJCAResource
CIM_J2eeJCAConnectionFactoryManagedConnectionFactory
CIM_J2eeJDBCDataSourceDriver
CIM_J2eeJDBCResourceUsesDataSource
CIM_J2eeModuleUsesJVM
CIM_NamespaceInManager
CIM_NetworkServicesInAdminDomain
CIM_PolicyInSystem
CIM_PortOnDevice
CIM_ScopedSetting
CIM_SettingForSystem
CIM_SharingDependency
PRS_AdministrativeRevision
PRS_CategoryParentChild
PRS_ExpressionLink

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | HostedDependency defines a ManagedElement in the context of another ManagedElement in which it resides.
UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedDependency | CIM_ManagedElement
Dependent | CIM_HostedDependency | CIM_ManagedElement

## Class Methods